%define trinity 0
%{?_without_trinity: %global trinity 0}
%{?_with_trinity: %global trinity 1}
%define _tde_services /opt/trinity/share/apps/konqueror/servicemenus
%define plasma 1
%{?_without_plasma: %global plasma 0}
%{?_with_plasma: %global plasma 1}
%define kde4 0
%{?_without_kde4: %global kde4 0}
%{?_with_kde4: %global kde4 1}
%define gtk 1
%{?_without_gtk: %global gtk 0}
%{?_with_gtk: %global gtk 1}

Name:		tuncel
Summary:	Servicemenu or Actions for various desktops
Version:	2.0
Release:	%mkrel 1

License:	GPLv2
Group:		Development/Other
Url:		https://github.com/tarakbumba/tuncel
#Source0:	https://github.com/tarakbumba/%{name}/archive/%{name}-%{version}.tar.xz
Source0:    %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

%if %{kde4}
BuildRequires:	kdelibs4-core
BuildRequires:  kde4-macros
%endif
%if %{plasma}
BuildRequires:  kf5-macros
%endif
%if %{trinity}
BuildRequires:	trinity-tdelibs
%endif
%if %{gtk}
BuildRequires:  zenity
%endif
%if %{kde4}
BuildRequires:  kdialog
%endif
%if %{plasma}
BuildRequires:  kdialog
%endif
%if %{trinity}
BuildRequires:  kdialog
%endif
BuildRequires:	gettext-devel
BuildRequires:  python-polib
BuildRequires:  intltool

BuildArch:      noarch

%description
KDE4/Plasma Dolphin, Trinity Konqueror, Nautilus, Caja and Nemo service menus for RPM

   1. Show RPM Main Info
   2. Show Package Content
   3. Unpack RPM
   4. Unpack RPM to Directory
   5. Open RPM Url from Package in Web Browser
   6. Make Test Install
   7. Force Upgrade Test Install
   8. Install Source package in Local RPM Build Enviroment

%if %{kde4}
%package -n %{name}-kde4
Summary:    KDE4 Service Menu for RPM Packages
Requires:   %{name} = %{version}-%{release}
Requires:   kdialog

%description -n %{name}-kde4
KDE4 service menu for easy RPM package operations.
%endif

%if %{plasma}
%package -n %{name}-plasma
Summary:    Plasma Service Menu for RPM Packages
Requires:   %{name} = %{version}-%{release}
Requires:   kdialog
Obsoletes:  %{name}-kde4 < %{version}

%description -n %{name}-plasma
KDE4 service menu for easy RPM package operations.
%endif

%if %{trinity}
%package -n %{name}-trinity
Summary:    Trinity Desktop Service Menu for RPM Packages
Requires:   %{name} = %{version}-%{release}
Requires:   kdialog

%description -n %{name}-trinity
Trinity service menu for easy RPM package operations.
%endif

%if %{gtk}
%package -n %{name}-nautilus-data
Summary:    Required files for Nautilus/Caja
Requires:   %{name} = %{version}-%{release}
Requires:   zenity

%description -n %{name}-nautilus-data
This package includes shared desktop files
needed for Nautilus and Caja file managers

%package -n %{name}-nautilus
Summary:    Nautilus action for RPM Packages
Requires:   %{name}-nautilus-data = %{version}-%{release}
Requires:   nautilus-actions
Requires:   zenity

%description -n %{name}-nautilus
Virtual package to satisfy dependencies for Nautilus.

%package -n %{name}-caja
Summary:    Caja action for RPM Packages
Requires:   %{name}-nautilus-data = %{version}-%{release}
Requires:   caja-actions
Requires:   zenity

%description -n %{name}-caja
Virtual package to satisfy dependencies for Caja.

%package -n %{name}-nemo
Summary:    Nemo actions for RPM Packages
Requires:   %{name} = %{version}-%{release}
Requires:   zenity
Requires:   nemo

%description -n %{name}-nemo
Nemo-Actions actions for easy RPM package operations.
%endif

%prep
%autosetup

%build
NOCONFIGURE=1 ./autogen.sh

%configure2_5x  --sysconfdir=%{_sysconfdir} \
%if %{kde4}
            --enable-kde4 \
%endif
%if %{trinity}
            --enable-trinity \
%endif
%if %{gtk}
            --enable-nautilus \
            --enable-nemo \
%endif
%if %{plasma}
            --enable-plasma
%endif
                 

%make_build

%install

%make_install
%if %{kde4}
mv %{buildroot}%{_kde_services}/ServiceMenus/%{name}_kde4.desktop \
	%{buildroot}%{_kde_services}/ServiceMenus/%{name}.desktop
%endif

%if %{plasma}
mv %{buildroot}%{_kf5_services}/ServiceMenus/%{name}_plasma.desktop \
	%{buildroot}%{_kf5_services}/ServiceMenus/%{name}.desktop
%endif

%if %{trinity}
mv %{buildroot}%{_tde_services}/%{name}_trinity.desktop \
	%{buildroot}%{_tde_services}/ServiceMenus/%{name}.desktop
%endif

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog.md README.md
%config (noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}

%if %{kde4}
%files -n %{name}-kde4
%{_kde_services}/ServiceMenus/%{name}.desktop
%endif

%if %{plasma}
%files -n %{name}-plasma
%{_kf5_services}/ServiceMenus/%{name}.desktop
%endif

%if %{gtk}
%files -n %{name}-nautilus-data
%{_datadir}/file-manager/actions/*.desktop

%files -n %{name}-nemo
%{_datadir}/nemo/actions/*.nemo_action

%files -n %{name}-nautilus

%files -n %{name}-caja
%endif



%changelog
* Sun Apr 02 2017 tarakbumba <tarakbumba> 2.0-1.mga6
+ Revision: 1095720
- Update to 2.0 version

* Tue Feb 02 2016 umeabot <umeabot> 1.6-6.mga6
+ Revision: 931942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 743108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-4.mga5
+ Revision: 689973
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 tarakbumba <tarakbumba> 1.6-3.mga5
+ Revision: 642782
- Use more explainatory summary
- tuncel-kde4 should provide rpmxdgtool

* Mon Jun 30 2014 tarakbumba <tarakbumba> 1.6-2.mga5
+ Revision: 641497
- Remove zenity requires from tuncel-caja and tuncel-nautilus
- Obsolete rpmxdgtool by tuncel-kde4

* Sat Jun 28 2014 tarakbumba <tarakbumba> 1.6-1.mga5
+ Revision: 640594
- Update to 1.6 version

* Thu Jun 12 2014 tarakbumba <tarakbumba> 1.5-1.mga5
+ Revision: 635871
- Update to version 1.5
- Enable nemo subpackage

* Mon Apr 07 2014 tarakbumba <tarakbumba> 1.3-1.mga5
+ Revision: 612489
- imported package tuncel

